"use strict";

exports.__esModule = true;

exports["default"] = function () {
  return {
    visitor: {
      BinaryExpression: function BinaryExpression(path) {
        var node = path.node;

        var op = node.operator;
        if (op !== "===" && op !== "!==") return;

        var left = path.get("left");
        var right = path.get("right");
        if (left.baseTypeStrictlyMatches(right)) {
          node.operator = node.operator.slice(0, -1);
        }
      }
    }
  };
};

module.exports = exports["default"];